ALJ - Logiciels
 

GLG203
   Agenda
   Enoncés TP
   Corriger TP

GLG204
   Agenda

Enseignants
Logiciels
Forum
Bibliograpie

 

Pour effectuer vos travaux pratiques, vous aurez besoin d'installer les logiciels suivants:

JDK 8  (de préférence à une version plus récente

Spring Tools 4 for Eclipse ou Eclipse IDE for Java EE Developers
(optionel, vous pouvez utiliser l'éditeur qui vous convient mais nous recommandons : Eclipse, NetBeans ou IntelliJ)

Gradle

MySQL seul  ou inclus dans Laragon (= Apache 2.4 + PHP 7.2 + MySQL 5.7) ou  WampServer 2.4 (= Apache 2.4.4 + PHP5.4 + MySQL 5.6.12 + PhpMyAdmin) 

Tomcat 9 (exemple)

StarUML : pour windows (22Mo) ou version plus récente pour Mac et Linux

Des informations complémentaires sur la mise au point de l'environnement de développement et sur l'utilisation d'Eclipse sont disponibles.